Page MenuHomePhabricator

Please add ftpmirror.your.org/pub/wikimedia/images/ to the wgCopyUploadsDomains whitelist of Wikimedia Commons
Closed, DeclinedPublic

Description

Please allow url uploads from https://ftpmirror.your.org/pub/wikimedia/images/, so in case a file is permanently lost, we can restore it through mirrors. Related task is T153540.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2016, 1:26 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 18 2016, 10:03 AM
Urbanecm triaged this task as Normal priority.Dec 18 2016, 10:09 AM

Surely you can download the single file to your computer and then re-upload it again?

@Legoktm Yes, but using url upload makes the process faster (instead of having to download then upload it again, which consumes bandwidth)

Change 328036 had a related patch set uploaded (by Urbanecm):
Add ftpmirror.your.org to whitelist of commons

https://gerrit.wikimedia.org/r/328036

Urbanecm lowered the priority of this task from Normal to Low.Dec 18 2016, 11:05 AM

As there are another ways how to do this I think this is low (not normal) priority. This will be deployed at January 3rd, 14:00-15:00 UTC.

I don't think this will be useful very often, but there's no reason not to allow them.

Dereckson added a subscriber: Dereckson.EditedDec 20 2016, 4:29 PM

I don't think this will be useful very often, but there's no reason not to allow them.

For reference, the main reasons identified by csteipp in previous discussions on this whitelist goal was:

  • their network can be misconfigured and DDoS ours
  • our network can be misconfigured and DDoS theirs

So it's a balance between usefulness and security to find.

(I give what could be the theorical reasons, I've nothing against this request, as the requester is a trusted user on Commons)

The $wgCopyUploadsDomains is intended for bulk load from museum and library, I have the feeling that adding your.org is an abuse of that functionality:

  • looks like the images are from 2012
  • there is no commons mirror as far as I can tell

@Nemo_bis has commons synced on archive.org which is already allowed. See https://archive.org/details/wikimediacommons I think it is sufficient.

@Nemo_bis has commons synced on archive.org which is already allowed. See https://archive.org/details/wikimediacommons I think it is sufficient.

I doubt these can be useful for Special:Upload: each file needs to be extracted from a ZIP, so for instance you'd have to download http://archive.org/download/wikimediacommons-200409/2004-09-07.zip/2004%2F09%2F07%2FQuail1.PNG which redirects to http://ia802706.us.archive.org/zipview.php?zip=/28/items/wikimediacommons-200409/2004-09-07.zip&file=2004%2F09%2F07%2FQuail1.PNG which takes multiple seconds or even minutes and would probably timeout on MediaWiki's end.

That said, your.org is better kept than most domains currently whitelisted and can do no harm.

As there are not clear files to upload '''right now''', I offer to decline this task, and to reopen it when there will be some files to upload from ftpmirror.your.org.

Change 328036 abandoned by Urbanecm:
Add ftpmirror.your.org to whitelist of commons

Reason:
Abandoning as this won't be needed in the soon future. Please restore when needed.

https://gerrit.wikimedia.org/r/328036

Dereckson closed this task as Declined.Jan 16 2017, 1:50 PM

Per previous comments, with the understanding the task can be reopened and the abandoned change can be restored if there is a need for this in the future.